GNU bug report logs - #36131
Add Multiple Common Lisp Packages

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; dated Sat, 8 Jun 2019 00:18:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 36131 <at> debbugs.gnu.org:


Received: (at 36131) by debbugs.gnu.org; 2 Jul 2019 15:51:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 02 11:51:56 2019
Received: from localhost ([127.0.0.1]:47707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hiL4V-0000Iu-O5
	for submit <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:51:56 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hiL4T-0000Ii-Ih
 for 36131 <at> debbugs.gnu.org; Tue, 02 Jul 2019 11:51:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51431)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hiL4O-0001PP-Bu; Tue, 02 Jul 2019 11:51:48 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=54686 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hiL4N-0002KJ-Nr; Tue, 02 Jul 2019 11:51:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Subject: Re: [bug#36131] Add Multiple Common Lisp Packages
References: <87pnnpey6c.fsf@HIDDEN>
Date: Tue, 02 Jul 2019 17:51:45 +0200
In-Reply-To: <87pnnpey6c.fsf@HIDDEN> (Katherine Cox-Buday's message of
 "Fri, 07 Jun 2019 19:08:27 -0500")
Message-ID: <87r2785t9q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36131
Cc: 36131 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi again,

Katherine Cox-Buday <cox.katherine.e@HIDDEN> skribis:

>>From b62c757389b1b6eee909c7c121d4aef3515b17b8 Mon Sep 17 00:00:00 2001
> From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
> Date: Fri, 7 Jun 2019 15:24:58 -0500
> Subject: [PATCH 08/15] gnu: Add trivial-utf-8.
>
> * gnu/packages/lisp.scm (trivial-utf-8): New variable.

Applied with synopsis/description adjustments.

>>From 2c56db1e5ea59dd82e07065515d1a576255a88cc Mon Sep 17 00:00:00 2001
> From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
> Date: Fri, 7 Jun 2019 15:48:30 -0500
> Subject: [PATCH 09/15] gnu: Add antik.
>
> * gnu/packages/lisp.scm (antik): New variable.

This commit log does not mention the other variables that are added:
quite a few packages are added by this patch.  Could you turn it into
several patches?

Also, could you please run =E2=80=98guix lint=E2=80=99 on all the remaining=
 packages and
address any issues, in particular descriptions/synopses (info "(guix)
Synopses and Descriptions")?

Also perhaps omit the =E2=80=98ecl-=E2=80=99 variants if you deem them unne=
cessary.

Hopefully that=E2=80=99ll make the whole review/apply process smoother.  :-)

Thanks in advance,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#36131; Package guix-patches. Full text available.

Message received at 36131 <at> debbugs.gnu.org:


Received: (at 36131) by debbugs.gnu.org; 26 Jun 2019 08:56:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 26 04:56:34 2019
Received: from localhost ([127.0.0.1]:34226 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hg3jG-0008RY-03
	for submit <at> debbugs.gnu.org; Wed, 26 Jun 2019 04:56:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hg3jD-0008RM-Nj
 for 36131 <at> debbugs.gnu.org; Wed, 26 Jun 2019 04:56:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47227)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hg3j8-0005LG-Bx; Wed, 26 Jun 2019 04:56:26 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34302 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hg3j7-0001rJ-PH; Wed, 26 Jun 2019 04:56:26 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Subject: Removing some of the Common Lisp packages for ECL?
References: <87pnnpey6c.fsf@HIDDEN> <878stpllma.fsf@HIDDEN>
 <87zhm5k0qs.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 8 Messidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 26 Jun 2019 10:56:23 +0200
In-Reply-To: <87zhm5k0qs.fsf@HIDDEN> (Katherine Cox-Buday's message of
 "Tue, 25 Jun 2019 12:56:11 -0500")
Message-ID: <87blykk9mw.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36131
Cc: 36131 <at> debbugs.gnu.org, Andy Patterson <ajpatter@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Cc=E2=80=99ing Andy as the original author of all this.  :-)

Katherine Cox-Buday <cox.katherine.e@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

[...]

>> I noticed that =E2=80=98ecl-hu.dwim.asdf=E2=80=99 and =E2=80=98ecl-rt=E2=
=80=99 fail to build, so I
>> couldn=E2=80=99t test all the =E2=80=98ecl-*=E2=80=99 variants.  Could y=
ou take a look at these
>> two packages?
>
> I focused on the SBCL packages and then retroactively went back and
> added all the ECL packages, trying to be a good citizen. In retrospect,
> this was not a good idea. Common Lisp code is not guaranteed to work
> across runtimes.
>
> If you're OK with it, I would just go ahead and delete any ECL package
> that doesn't immediately work. I can do this myself, but I'm currently
> on holiday and won't be able to take a look for another week and a half.

Sure, removing packages that don=E2=80=99t build sounds good to me.  Andy, =
WDYT?

>> More generally, does it make sense to have ECL variants for each and
>> every package?  Or should we trim that down?  I=E2=80=99m under the impr=
ession
>> that ECL is typically used with rather small code bases since it=E2=80=
=99s meant
>> to be embedded, but then I=E2=80=99m not a Common Lisper.
>
> I think ECL is used outside embedded contexts, but I haven't found a
> reason to use it yet. If I remember correctly, I think one compiles
> faster than the other, and the other runs faster, so some people switch
> between the two when developing and then deploying.

OK, I see.

Thanks for explaining!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#36131; Package guix-patches. Full text available.

Message received at 36131 <at> debbugs.gnu.org:


Received: (at 36131) by debbugs.gnu.org; 25 Jun 2019 17:56:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 13:56:22 2019
Received: from localhost ([127.0.0.1]:33503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfpg6-0002IX-CR
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 13:56:22 -0400
Received: from mail-io1-f53.google.com ([209.85.166.53]:40841)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1hfpg4-0002I0-9U
 for 36131 <at> debbugs.gnu.org; Tue, 25 Jun 2019 13:56:20 -0400
Received: by mail-io1-f53.google.com with SMTP id n5so663738ioc.7
 for <36131 <at> debbugs.gnu.org>; Tue, 25 Jun 2019 10:56:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=hyHTzmllWONyICBWADq2LFpv9UAMeqijAbVqPQ2BNWo=;
 b=j2L2wVCTMEMldnI00Cf38GYGL+K2m7FDKMimheHrN/1YWB7j8GcNjC1XneMt9OYTK0
 5jmtyGwJYcbWx4qcfBzUUjLVfMZYkfKrcGkgBC8SlbRfVkZMI7jN1wT6ymOv/OZTkQ7W
 8YG5wvrFXH12ZMBnAbCubDkNaNXSSAyGlU1DLf6KxuJVAkFpmY8VBDZD+O567i8mq3XU
 UdyBdt1JDIiMA3ke5Px9e+cPes325bkmLlFBODXEl+wUV/J8PCXjCOWYN8UF9ivAjDDT
 uVisF//wXh+Rd6+pHf4tKR15COUe884Gxcn/kaJVFRqejCiXc9j7oK1SpcvAd80jGtjm
 3h8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=hyHTzmllWONyICBWADq2LFpv9UAMeqijAbVqPQ2BNWo=;
 b=uV4nJgYmHcwpkANMlyQm8AKOwV0KlgXeZbOY1fG8rAoyrhYGmFcQcvb9lvW44Bco1f
 pO7Ae8nnf0ipWGvJZRwcJv1YzyYSTUs8+l6ZfbrMZKKqt8JNdUWIkE1mSAR2RMgJEH3F
 xl2yhdSe+9SupxP6rg/qRQrXrVi/1fALAXvfdb3R0h6msiO/hjiNa+vWg+3DSnnNi39K
 C+peedNLd4maZ/PgRehuH9NRY1AOqgrT6O2EDl1HfJoT/8AaleKIC5p3HC80WzujfY5E
 SaLLidZBL8ARjDsuPiDTkfzdDtXVIEqn4Zuq3i/AopXisg2e43XDA9cQFqzEqEXiwUTY
 4w/w==
X-Gm-Message-State: APjAAAW/uoDxHFbhZl6VGh/tbAr4lprbkNxaNr3kgBW77pMfKrv7vvla
 6ws45zQ81xmSUEGGKG68Omk57vFn
X-Google-Smtp-Source: APXvYqyCOG5Zp/RLia0YX/pxdF81MaWIy7HApO9ayOETb7Cj4wB3TBhUcuq/tsLwmGBiEIpV35F9rQ==
X-Received: by 2002:a02:a48f:: with SMTP id d15mr21115892jam.12.1561485373966; 
 Tue, 25 Jun 2019 10:56:13 -0700 (PDT)
Received: from gazelle-pro (172-221-246-205.dhcp.chtrptr.net.
 [172.221.246.205])
 by smtp.gmail.com with ESMTPSA id t5sm13029253iol.55.2019.06.25.10.56.11
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Tue, 25 Jun 2019 10:56:12 -0700 (PDT)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: [bug#36131] Add Multiple Common Lisp Packages
References: <87pnnpey6c.fsf@HIDDEN> <878stpllma.fsf@HIDDEN>
Date: Tue, 25 Jun 2019 12:56:11 -0500
In-Reply-To: <878stpllma.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Tue, 25 Jun 2019 17:39:57 +0200")
Message-ID: <87zhm5k0qs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36131
Cc: 36131 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Hello Katherine,
>
> Thanks for this patch series!

You bet! Power to the Guix :)

> I=E2=80=99ve applied all of them until #7 included (fare-utils), fixing m=
inor
> issues that =E2=80=98guix lint=E2=80=99 reported.

Thank you, and sorry for the linting issues. I get busy and then rushed
and I make these stupid mistakes.

> I=E2=80=99d be grateful if someone reading this could do their share of
> review/apply work!  :-)
>
> I noticed that =E2=80=98ecl-hu.dwim.asdf=E2=80=99 and =E2=80=98ecl-rt=E2=
=80=99 fail to build, so I
> couldn=E2=80=99t test all the =E2=80=98ecl-*=E2=80=99 variants.  Could yo=
u take a look at these
> two packages?

I focused on the SBCL packages and then retroactively went back and
added all the ECL packages, trying to be a good citizen. In retrospect,
this was not a good idea. Common Lisp code is not guaranteed to work
across runtimes.

If you're OK with it, I would just go ahead and delete any ECL package
that doesn't immediately work. I can do this myself, but I'm currently
on holiday and won't be able to take a look for another week and a half.

> More generally, does it make sense to have ECL variants for each and
> every package?  Or should we trim that down?  I=E2=80=99m under the impre=
ssion
> that ECL is typically used with rather small code bases since it=E2=80=99=
s meant
> to be embedded, but then I=E2=80=99m not a Common Lisper.

I think ECL is used outside embedded contexts, but I haven't found a
reason to use it yet. If I remember correctly, I think one compiles
faster than the other, and the other runs faster, so some people switch
between the two when developing and then deploying.

--=20
Katherine




Information forwarded to guix-patches@HIDDEN:
bug#36131; Package guix-patches. Full text available.

Message received at 36131 <at> debbugs.gnu.org:


Received: (at 36131) by debbugs.gnu.org; 25 Jun 2019 15:40:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 25 11:40:12 2019
Received: from localhost ([127.0.0.1]:33283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hfnYK-0006pD-Fz
	for submit <at> debbugs.gnu.org; Tue, 25 Jun 2019 11:40:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57447)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hfnYI-0006p0-1J
 for 36131 <at> debbugs.gnu.org; Tue, 25 Jun 2019 11:40:11 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60205)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hfnYC-0001cj-IL; Tue, 25 Jun 2019 11:40:04 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=53730 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hfnY8-0001oR-7T; Tue, 25 Jun 2019 11:40:02 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Subject: Re: [bug#36131] Add Multiple Common Lisp Packages
References: <87pnnpey6c.fsf@HIDDEN>
Date: Tue, 25 Jun 2019 17:39:57 +0200
In-Reply-To: <87pnnpey6c.fsf@HIDDEN> (Katherine Cox-Buday's message of
 "Fri, 07 Jun 2019 19:08:27 -0500")
Message-ID: <878stpllma.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36131
Cc: 36131 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Katherine,

Thanks for this patch series!

I=E2=80=99ve applied all of them until #7 included (fare-utils), fixing min=
or
issues that =E2=80=98guix lint=E2=80=99 reported.

I=E2=80=99d be grateful if someone reading this could do their share of
review/apply work!  :-)

I noticed that =E2=80=98ecl-hu.dwim.asdf=E2=80=99 and =E2=80=98ecl-rt=E2=80=
=99 fail to build, so I
couldn=E2=80=99t test all the =E2=80=98ecl-*=E2=80=99 variants.  Could you =
take a look at these
two packages?

More generally, does it make sense to have ECL variants for each and
every package?  Or should we trim that down?  I=E2=80=99m under the impress=
ion
that ECL is typically used with rather small code bases since it=E2=80=99s =
meant
to be embedded, but then I=E2=80=99m not a Common Lisper.

Thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#36131; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jun 2019 00:17:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 07 20:17:53 2019
Received: from localhost ([127.0.0.1]:52615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hZP3I-0006se-KP
	for submit <at> debbugs.gnu.org; Fri, 07 Jun 2019 20:17:52 -0400
Received: from lists.gnu.org ([209.51.188.17]:37374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1hZP3D-0006sT-UL
 for submit <at> debbugs.gnu.org; Fri, 07 Jun 2019 20:17:43 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51992)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1hZP33-0001QM-Nj
 for guix-patches@HIDDEN; Fri, 07 Jun 2019 20:17:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1hZOuP-0000a9-T8
 for guix-patches@HIDDEN; Fri, 07 Jun 2019 20:08:41 -0400
Received: from mail-io1-xd35.google.com ([2607:f8b0:4864:20::d35]:36454)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1hZOuO-0000Vh-Tp
 for guix-patches@HIDDEN; Fri, 07 Jun 2019 20:08:33 -0400
Received: by mail-io1-xd35.google.com with SMTP id h6so2771013ioh.3
 for <guix-patches@HIDDEN>; Fri, 07 Jun 2019 17:08:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:user-agent:mime-version;
 bh=Eo+XTMEVDPrsOnSoGhEgSV9ZsLzqipTBEDpL6KrAKho=;
 b=Bs+NILkFdWpnIejXoqPj0LPyeUw8SV/1Dl6qRkQiTrvU5tpv1veaFUEsLv/edz6ROE
 wyXkS0PttauR/kiChcpP12DXDwCOX27ySrMx7/QANh8hnyGQsdWtRfv7fnvH91Egu4wr
 7SfHRkkiyxofhVXBS9WI1H06EAk86URXDc9UAy3sUZFp5ozcSvZ5J5JESWqL9CAwGTTL
 brQ7OkCcaNpLaDeV2j7rTUXginfPykCYtQocYsO5MJ7C9Z9B9hZamJ4CwzxZYWtZLkXj
 JmRvH3uH1rLtkrvrfa6ORxaJY8+mWo+3UJpu53rB8q3tHU9pTbbfVfbwlaq+hdF3m9uR
 +b+w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:user-agent
 :mime-version;
 bh=Eo+XTMEVDPrsOnSoGhEgSV9ZsLzqipTBEDpL6KrAKho=;
 b=k5u8n/YSpjDEF1gmXDA5AlXUKEuqluxVilYxoNd49q6Kk7fR7FZBRGc0iKqf7LooBm
 RyIMqMsL6R5urfbNq1VyGAE7exDjxNlIS88l0vHg9RPVu1zcATp36uuEa3KVVMzIJMvs
 rVmApQsV4jPnS4uc172aJIDhLh0B+Homl9LRxBmCna0GyipE7pj0wfHkOutXsHEFS2+a
 /sm005r2CmWbGmsuAHePIsSMct6ESm6t4kOi2blTv4Y4edNhPMJmGqKUxQUlvPHgz5xu
 fawanBZaO1vNBLa/R6KxKr7MUg8/YZXpQbqcYJ0xNZbm+bHTfo03OA1lGDA6MtsBCZ0r
 JpYA==
X-Gm-Message-State: APjAAAV5XvQbdrntXIUzBwgFk7mIXHCYOBI9z91c2SGH5mo6M0VPsyV6
 RY26xHcL7rIG0ZBH8Lf3D9NGFHTL
X-Google-Smtp-Source: APXvYqztdp2zWiJtRcWA1UJLaNeB/ck6XZlUQZlKnbT91AXXPCOOs5ktkI+KjNHMWPMY2TpE84v0SQ==
X-Received: by 2002:a5d:9d42:: with SMTP id k2mr10386318iok.45.1559952509817; 
 Fri, 07 Jun 2019 17:08:29 -0700 (PDT)
Received: from gazelle-pro (172-221-246-205.dhcp.chtrptr.net.
 [172.221.246.205])
 by smtp.gmail.com with ESMTPSA id d75sm1622537itd.10.2019.06.07.17.08.27
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 07 Jun 2019 17:08:28 -0700 (PDT)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: Add Multiple Common Lisp Packages
Date: Fri, 07 Jun 2019 19:08:27 -0500
Message-ID: <87pnnpey6c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d35
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)

--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-gnu-Add-clunit.patch

From f788ea131dc4871935a2fa38dbdb0f08588564a8 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:04:49 -0500
Subject: [PATCH 01/15] gnu: Add clunit.

* gnu/packages/lisp.scm (clunit): New variable.
---
 gnu/packages/lisp.scm | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index dfc58d469f..23df16895e 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5369,3 +5369,36 @@ command line, to data scanning and extracting scripts, to full application
 development in a wide-range of areas.")
     (home-page "https://nongnu.org/txr/")
     (license license:bsd-2)))
+
+(define-public sbcl-clunit
+  (let ((commit "6f6d72873f0e1207f037470105969384f8380628")
+        (revision "1"))
+    (package
+      (name "sbcl-clunit")
+      (version (git-version "0.2.3" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/tgutu/clunit.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1idf2xnqzlhi8rbrqmzpmb3i1l6pbdzhhajkmhwbp6qjkmxa4h85"))))
+      (build-system asdf-build-system/sbcl)
+      (synopsis "CLUnit is a Common Lisp unit testing framework.")
+      (description
+       "CLUnit is a Common Lisp unit testing framework. It is designed
+to be easy to use so that you can quickly start testing. CLUnit
+provides a rich set of features aimed at improving your unit testing
+experience.")
+      (home-page "http://tgutu.github.io/clunit/")
+      ;; MIT License
+      (license license:expat))))
+
+(define-public cl-clunit
+  (sbcl-package->cl-source-package sbcl-clunit))
+
+(define-public ecl-clunit
+  (sbcl-package->ecl-package sbcl-clunit))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0002-gnu-Add-py4cl.patch

From 675acd64bc2969d419c9c5a0c2e5496528259d71 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:13:45 -0500
Subject: [PATCH 02/15] gnu: Add py4cl.

* gnu/packages/lisp.scm (py4cl): New variable.
---
 gnu/packages/lisp.scm | 63 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 23df16895e..9a01db3c80 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -65,6 +65,8 @@
   #:use-module (gnu packages linux)
   #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages python)
+  #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages sdl)
   #:use-module (gnu packages sqlite)
@@ -5402,3 +5404,64 @@ experience.")
 
 (define-public ecl-clunit
   (sbcl-package->ecl-package sbcl-clunit))
+
+(define-public sbcl-py4cl
+  (let ((commit "4c8a2b0814fd311f978964f825ce012290f60136")
+        (revision "1"))
+    (package
+      (name "sbcl-py4cl")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/bendudson/py4cl.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "15mk7qdqjkj56gdnbyrdyz6r7m1h26ldvn6ch96pmvg5vmr1m45r"))
+         (modules '((guix build utils)))))
+      (build-system asdf-build-system/sbcl)
+      (native-inputs
+       `(("sbcl-clunit" ,sbcl-clunit)))
+      (inputs
+       `(("sbcl-trivial-garbage" ,sbcl-trivial-garbage)))
+      (propagated-inputs
+       ;; This package doesn't do anything without python available
+       `(("python" ,python)
+         ;; For multi-dimensional array support
+         ("python-numpy" ,python-numpy)))
+      (arguments
+       '(#:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'replace-*base-directory*-var
+             (lambda* (#:key outputs #:allow-other-keys)
+               ;; In the ASD, the author makes an attempt to
+               ;; programatically determine the location of the
+               ;; source-code so lisp can call into "py4cl.py". We can
+               ;; hard-code this since we know where this file will
+               ;; reside.
+               (substitute* "src/callpython.lisp"
+                 (("py4cl/config:\\*base-directory\\*")
+                  (string-append
+                   "\""
+                   (assoc-ref outputs "out")
+                   "/share/common-lisp/sbcl-source/py4cl/"
+                   "\""))))))))
+      (synopsis "Call python from Common Lisp.")
+      (description
+       "Py4CL is a bridge between Common Lisp and Python, which
+enables Common Lisp to interact with Python code. It uses streams to
+communicate with a separate python process, the approach taken by
+cl4py. This is different to the CFFI approach used by
+burgled-batteries, but has the same goal.")
+      (home-page "https://github.com/bendudson/py4cl")
+      ;; MIT License
+      (license license:expat))))
+
+(define-public cl-py4cl
+  (sbcl-package->cl-source-package sbcl-py4cl))
+
+(define-public ecl-py4cl
+  (sbcl-package->ecl-package sbcl-py4cl))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-gnu-Add-parse-declarations.patch

From 5fc2eee895a58d7ecb4abfbbfb6791f9ffa47e2f Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:15:50 -0500
Subject: [PATCH 03/15] gnu: Add parse-declarations.

* gnu/packages/lisp.scm (parse-declarations): New variable.
---
 gnu/packages/lisp.scm | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 9a01db3c80..9c6cf4224b 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5465,3 +5465,40 @@ burgled-batteries, but has the same goal.")
 
 (define-public ecl-py4cl
   (sbcl-package->ecl-package sbcl-py4cl))
+
+(define-public sbcl-parse-declarations
+  (package
+    (name "sbcl-parse-declarations")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append
+             "http://beta.quicklisp.org/archive/parse-declarations/"
+             "2010-10-06/parse-declarations-20101006-darcs.tgz"))
+       (sha256
+        (base32
+         "0r85b0jfacd28kr65kw9c13dx4i6id1dpmby68zjy63mqbnyawrd"))))
+    (build-system asdf-build-system/sbcl)
+    (arguments
+     `(#:asd-file "parse-declarations-1.0.asd"
+       #:asd-system-name "parse-declarations-1.0"))
+    (home-page "https://common-lisp.net/project/parse-declarations/")
+    (synopsis
+     "Parse-Declarations is a library to parse, filter, and build
+declarations.")
+    (description
+     "Parse-Declarations is a Common Lisp library to help writing
+macros which establish bindings. To be semantically correct, such
+macros must take user declarations into account, as these may affect
+the bindings they establish. Yet the ANSI standard of Common Lisp does
+not provide any operators to work with declarations in a convenient,
+high-level way. This library provides such operators.")
+    ;; MIT License
+    (license license:expat)))
+
+(define-public cl-parse-declarations
+  (sbcl-package->cl-source-package sbcl-parse-declarations))
+
+(define-public ecl-parse-declarations
+  (sbcl-package->ecl-package sbcl-parse-declarations))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0004-gnu-Add-cl-quickcheck.patch

From 717d09604a3db1026c66fa5117ba4ce7ce5c1d7c Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:17:15 -0500
Subject: [PATCH 04/15] gnu: Add cl-quickcheck.

* gnu/packages/lisp.scm (cl-quickcheck): New variable.
---
 gnu/packages/lisp.scm | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 9c6cf4224b..ada4b86023 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5502,3 +5502,34 @@ high-level way. This library provides such operators.")
 
 (define-public ecl-parse-declarations
   (sbcl-package->ecl-package sbcl-parse-declarations))
+
+(define-public sbcl-cl-quickcheck
+  (let ((commit "807b2792a30c883a2fbecea8e7db355b50ba662f")
+        (revision "1"))
+    (package
+      (name "sbcl-cl-quickcheck")
+      (version (git-version "0.0.4" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/mcandre/cl-quickcheck.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "165lhypq5xkcys6hvzb3jq7ywnmqvzaflda29qk2cbs3ggas4767"))))
+      (build-system asdf-build-system/sbcl)
+      (synopsis
+       "Common Lisp port of the QuickCheck unit test framework")
+      (description
+       "Common Lisp port of the QuickCheck unit test framework")
+      (home-page "https://github.com/mcandre/cl-quickcheck")
+      ;; MIT
+      (license license:expat))))
+
+(define-public cl-cl-quickcheck
+  (sbcl-package->cl-source-package sbcl-cl-quickcheck))
+
+(define-public ecl-cl-quickcheck
+  (sbcl-package->ecl-package sbcl-cl-quickcheck))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0005-gnu-Add-burgled-batteries3.patch

From 0ad275a14a8035306921283071ed57abed89ce34 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:19:50 -0500
Subject: [PATCH 05/15] gnu: Add burgled-batteries3.

* gnu/packages/lisp.scm (burgled-batteries3): New variable.
---
 gnu/packages/lisp.scm | 61 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index ada4b86023..38cd9c3a18 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5533,3 +5533,64 @@ high-level way. This library provides such operators.")
 
 (define-public ecl-cl-quickcheck
   (sbcl-package->ecl-package sbcl-cl-quickcheck))
+
+(define-public sbcl-burgled-batteries3
+  (let ((commit "9c0f6667e1a71ddf77e21793a0bea524710fef6e")
+        (revision "1"))
+    (package
+      (name "sbcl-burgled-batteries3")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/snmsts/burgled-batteries3.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0b726kz2xxcg5l930gz035rsdvhxrzmp05iwfwympnb4z4ammicb"))))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       '(#:tests? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'set-*cpython-include-dir*-var
+             (lambda* (#:key inputs #:allow-other-keys)
+               ;; TODO: explain
+               (substitute* "grovel-include-dir.lisp"
+                 (("\\(defparameter \\*cpython-include-dir\\* \\(detect-python\\)\\)")
+                  (string-append
+                   "(defparameter *cpython-include-dir* \""
+                   (assoc-ref inputs "python")
+                   "/include/python3.7m"
+                   "\")")))
+               (substitute* "ffi-interface.lisp"
+                 (("\\*cpython-lib\\*")
+                  (format #f "'(\"~a/lib/libpython3.so\")"
+                          (assoc-ref inputs "python")))))))))
+      (native-inputs
+       `(("python" ,python)
+         ("sbcl-cl-fad" ,sbcl-cl-fad)
+         ("sbcl-lift" ,sbcl-lift)
+         ("sbcl-cl-quickcheck" ,sbcl-cl-quickcheck)))
+      (inputs
+       `(("sbcl-cffi" ,sbcl-cffi)
+         ("sbcl-cffi-grovel" ,sbcl-cffi-grovel)
+         ("sbcl-alexandria" , sbcl-alexandria)
+         ("sbcl-parse-declarations-1.0" ,sbcl-parse-declarations)
+         ("sbcl-trivial-garbage" ,sbcl-trivial-garbage)))
+      (synopsis
+       "A bridge between Python and Lisp (FFI bindings, etc.)")
+      (description
+       "Provides a shim between Python3 (specifically, the CPython
+implementation of Python) and Common Lisp.")
+      (home-page "https://github.com/snmsts/burgled-batteries3")
+      ;; MIT
+      (license license:expat))))
+
+(define-public cl-burgled-batteries3
+  (sbcl-package->cl-source-package sbcl-burgled-batteries3))
+
+(define-public ecl-burgled-batteries3
+  (sbcl-package->ecl-package sbcl-burgled-batteries3))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0006-gnu-Add-metabang-bind.patch

From aeb00a9896b97ec8e43d4a7d3d722a09780aacd7 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:21:16 -0500
Subject: [PATCH 06/15] gnu: Add metabang-bind.

* gnu/packages/lisp.scm (metabang-bind): New variable.
---
 gnu/packages/lisp.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 38cd9c3a18..67c34be680 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5594,3 +5594,42 @@ implementation of Python) and Common Lisp.")
 
 (define-public ecl-burgled-batteries3
   (sbcl-package->ecl-package sbcl-burgled-batteries3))
+
+(define-public sbcl-metabang-bind
+  (let ((commit "c93b7f7e1c18c954c2283efd6a7fdab36746ab5e")
+        (revision "1"))
+    (package
+      (name "sbcl-metabang-bind")
+      (version (git-version "0.8.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/gwkkwg/metabang-bind.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0hd0kr91795v77akpbcyqiss9p0p7ypa9dznrllincnmgvsxlmf0"))))
+      (build-system asdf-build-system/sbcl)
+      (native-inputs
+       `(("sbcl-lift" ,sbcl-lift)))
+      (synopsis
+       "Bind is a macro that generalizes multiple-value-bind, let,
+let*, destructuring-bind, structure and slot accessors, and a whole
+lot more.")
+      (description
+       "Bind extends the idea of of let and destructing to provide a
+uniform syntax for all your accessor needs. It combines let,
+destructuring-bind, with-slots, with-accessors, structure editing,
+property or association-lists, and multiple-value-bind and a whole lot
+more into a single form.")
+      (home-page "https://common-lisp.net/project/metabang-bind/")
+      ;; MIT License
+      (license license:expat))))
+
+(define-public cl-metabang-bind
+  (sbcl-package->cl-source-package sbcl-metabang-bind))
+
+(define-public ecl-metabang-bind
+  (sbcl-package->ecl-source-package sbcl-metabang-bind))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0007-gnu-Add-fare-utils.patch

From 41dd673771dff83d43e6b796896c01c5f00e7397 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:23:15 -0500
Subject: [PATCH 07/15] gnu: Add fare-utils.

* gnu/packages/lisp.scm (fare-utils): New variable.
---
 gnu/packages/lisp.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 67c34be680..1d5da17195 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5633,3 +5633,42 @@ more into a single form.")
 
 (define-public ecl-metabang-bind
   (sbcl-package->ecl-source-package sbcl-metabang-bind))
+
+(define-public sbcl-fare-utils
+  (let ((commit "66e9c6f1499140bc00ccc22febf2aa528cbb5724")
+        (revision "1"))
+    (package
+      (name "sbcl-fare-utils")
+      (version (git-version "1.0.0.5" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url
+            "https://gitlab.common-lisp.net/frideau/fare-utils.git")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "01wsr1aap3jdzhn4hrqjbhsjx6qci9dbd3gh4gayv1p49rbg8aqr"))))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       `(#:test-asd-file "test/fare-utils-test.asd"))
+      (native-inputs
+       `(("sbcl-hu.dwim.stefil" ,sbcl-hu.dwim.stefil)))
+      (synopsis
+       "Basic functions and macros, interfaces, pure and stateful
+datastructures")
+      (description
+       "fare-utils is a small collection of utilities. It contains a
+lot of basic everyday functions and macros")
+      (home-page "https://gitlab.common-lisp.net/frideau/fare-utils")
+      ;; MIT License
+      (license license:expat))))
+
+(define-public cl-fare-utils
+  (sbcl-package->cl-source-package sbcl-fare-utils))
+
+(define-public ecl-fare-utils
+  (sbcl-package->ecl-package sbcl-fare-utils))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0008-gnu-Add-trivial-utf-8.patch

From b62c757389b1b6eee909c7c121d4aef3515b17b8 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:24:58 -0500
Subject: [PATCH 08/15] gnu: Add trivial-utf-8.

* gnu/packages/lisp.scm (trivial-utf-8): New variable.
---
 gnu/packages/lisp.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 1d5da17195..e4f1cba12d 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5672,3 +5672,45 @@ lot of basic everyday functions and macros")
 
 (define-public ecl-fare-utils
   (sbcl-package->ecl-package sbcl-fare-utils))
+
+(define-public sbcl-trivial-utf-8
+  (let ((commit "4d427cfbb1c452436a0efb71c3205c9da67f718f")
+        (revision "1"))
+    (package
+      (name "sbcl-trivial-utf-8")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url (string-append "https://gitlab.common-lisp.net/"
+                               "trivial-utf-8/trivial-utf-8.git"))
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1jz27gz8gvqdmvp3k9bxschs6d5b3qgk94qp2bj6nv1d0jc3m1l1"))))
+      (arguments
+       ;; Guix incorrectly assumes the "8" is part of the version
+       ;; number and lobs it off.
+       `(#:asd-file "trivial-utf-8.asd"
+         #:asd-system-name "trivial-utf-8"))
+      (build-system asdf-build-system/sbcl)
+      (synopsis
+       "Trivial UTF-8 is a small library for doing UTF-8-based in- and
+output on a Lisp implementation that already supports Unicode.")
+      (description
+       "The Babel library solves a similar problem while understanding
+more encodings. Trivial UTF-8 was written before Babel existed, but
+for new projects you might be better off going with Babel. The one
+plus that Trivial UTF-8 has is that it doesn't depend on any other
+libraries.")
+      (home-page "https://common-lisp.net/project/trivial-utf-8/")
+      (license license:bsd-3))))
+
+(define-public cl-trivial-utf-8
+  (sbcl-package->cl-source-package sbcl-trivial-utf-8))
+
+(define-public ecl-trivial-utf-8
+  (sbcl-package->ecl-package sbcl-trivial-utf-8))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0009-gnu-Add-antik.patch

From 2c56db1e5ea59dd82e07065515d1a576255a88cc Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:48:30 -0500
Subject: [PATCH 09/15] gnu: Add antik.

* gnu/packages/lisp.scm (antik): New variable.
---
 gnu/packages/lisp.scm | 122 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 122 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index e4f1cba12d..b5a221e1ac 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5714,3 +5714,125 @@ libraries.")
 
 (define-public ecl-trivial-utf-8
   (sbcl-package->ecl-package sbcl-trivial-utf-8))
+
+(define-public sbcl-antik-base
+  (let ((commit "e4711a69b3d6bf37b5727af05c3cfd03e8428ba3")
+        (revision "1"))
+    (package
+      (name "sbcl-antik-base")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://gitlab.common-lisp.net/antik/antik.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "047ga2c38par2xbgg4qx6hwv06qhf1c1f67as8xvir6s80lip1km"))))
+      (build-system asdf-build-system/sbcl)
+      (inputs
+       `(("sbcl-iterate" ,sbcl-iterate)
+         ("sbcl-alexandria" ,sbcl-alexandria)
+         ("sbcl-metabang-bind" ,sbcl-metabang-bind)
+         ("sbcl-named-readtables" ,sbcl-named-readtables)
+         ("sbcl-cl-ppcre" ,sbcl-cl-ppcre)
+         ("sbcl-split-sequence" ,sbcl-split-sequence)))
+      (native-inputs
+       `(("sbcl-lisp-unit" ,sbcl-lisp-unit)))
+      (synopsis
+       "Antik provides a foundation for scientific and engineering
+computation in Common Lisp.")
+      (description
+       "Antik provides a foundation for scientific and engineering
+computation in Common Lisp. It is designed not only to facilitate
+numerical computations, but to permit the use of numerical computation
+libraries and the interchange of data and procedures, whether
+foreign (non-Lisp) or Lisp libraries. It is named after the
+Antikythera mechanism, one of the oldest examples of a scientific
+computer known.")
+      (home-page "https://common-lisp.net/project/antik/")
+      (license license:gpl3))))
+
+(define-public sbcl-foreign-array
+  (package
+    (inherit sbcl-antik-base)
+    (name "sbcl-foreign-array")
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-antik-base)
+       ((#:asd-file _ "") "foreign-array.asd")
+       ((#:asd-system-name _ #f) "foreign-array")))
+    (inputs
+     `(("sbcl-antik-base" ,sbcl-antik-base)
+       ("sbcl-cffi" ,sbcl-cffi)
+       ("sbcl-trivial-garbage" ,sbcl-trivial-garbage)
+       ("sbcl-static-vectors" ,sbcl-static-vectors)))
+    (synopsis
+     "A library providing access to foreign (i.e., C) arrays.")))
+
+(define-public cl-foreign-array
+  (sbcl-package->cl-source-package sbcl-foreign-array))
+
+(define-public ecl-foreign-array
+  (sbcl-package->ecl-package sbcl-foreign-array))
+
+(define-public sbcl-physical-dimension
+  (package
+    (inherit sbcl-antik-base)
+    (name "sbcl-physical-dimension")
+    (inputs
+     `(("sbcl-foreign-array" ,sbcl-foreign-array)
+       ("sbcl-fare-utils" ,sbcl-fare-utils)
+       ("sbcl-trivial-utf-8" ,sbcl-trivial-utf-8)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-antik-base)
+       ((#:asd-file _ "") "physical-dimension.asd")
+       ((#:asd-system-name _ #f) "physical-dimension")))
+    (synopsis
+     "A library to provide computations with physical dimension, i.e.
+units.")))
+
+(define-public cl-physical-dimension
+  (sbcl-package->cl-source-package sbcl-physical-dimension))
+
+(define-public ecl-physical-dimension
+  (sbcl-package->ecl-package sbcl-physical-dimension))
+
+(define-public sbcl-science-data
+  (package
+    (inherit sbcl-antik-base)
+    (name "sbcl-science-data")
+    (inputs
+     `(("sbcl-physical-dimension" ,sbcl-physical-dimension)
+       ("sbcl-drakma" ,sbcl-drakma)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-antik-base)
+       ((#:asd-file _ "") "science-data.asd")
+       ((#:asd-system-name _ #f) "science-data")))
+    (synopsis
+     "Numerical data science and engineering data.")))
+
+(define-public cl-science-data
+  (sbcl-package->cl-source-package sbcl-science-data))
+
+(define-public ecl-science-data
+  (sbcl-package->ecl-package sbcl-science-data))
+
+(define-public sbcl-antik
+  (package
+    (inherit sbcl-antik-base)
+    (name "sbcl-antik")
+    (inputs
+     `(("sbcl-physical-dimension" ,sbcl-physical-dimension)
+       ("sbcl-gsll" ,sbcl-gsll)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-antik-base)
+       ((#:asd-file _ "") "antik.asd")
+       ((#:asd-system-name _ #f) "antik")))))
+
+(define-public cl-antik
+  (sbcl-package->cl-source-package sbcl-antik))
+
+(define-public ecl-antik
+  (sbcl-package->ecl-package sbcl-antik))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0010-gnu-Add-gsll.patch

From 137383e0307c33ab557b3d6e14e966406148d88f Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 15:51:25 -0500
Subject: [PATCH 10/15] gnu: Add gsll.

* gnu/packages/lisp.scm (gsll): New variable.
---
 gnu/packages/lisp.scm | 67 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 67 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index b5a221e1ac..90ea0797b6 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5836,3 +5836,70 @@ units.")))
 
 (define-public ecl-antik
   (sbcl-package->ecl-package sbcl-antik))
+
+(define-public sbcl-gsll
+  (let ((commit "1a8ada22f9cf5ed7372d352b2317f4ccdb6ab308")
+        (revision "1"))
+    (package
+      (name "sbcl-gsll")
+      (version (git-version "0.0.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://gitlab.common-lisp.net/antik/gsll.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0z5nypfk26hxihb08p085644afawicrgb4xvadh3lmrn46qbjfn4"))))
+      (build-system asdf-build-system/sbcl)
+      (native-inputs
+       `(("sbcl-lisp-unit" ,sbcl-lisp-unit)))
+      (inputs
+       `(("sbcl-foreign-array" ,sbcl-foreign-array)
+         ("cffi-libffi" ,sbcl-cffi-libffi)
+         ("sbcl-cffi-grovel" ,sbcl-cffi-grovel)
+         ("gsl" ,gsl)
+         ("sbcl-trivial-garbage" ,sbcl-trivial-garbage)
+         ("sbcl-alexandria" ,sbcl-alexandria)
+         ("sbcl-metabang-bind" ,sbcl-metabang-bind)
+         ("sbcl-trivial-features" ,sbcl-trivial-features)))
+      (arguments
+       `(#:tests? #f
+         #:phases
+         (modify-phases %standard-phases
+           (add-after 'unpack 'fix-cffi-paths
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* "gsll.asd"
+                 ((":depends-on \\(#:foreign-array")
+                  ":depends-on (#:foreign-array #:cffi-libffi"))
+               (substitute* "init/init.lisp"
+                 (("libgslcblas.so" all)
+                  (string-append
+                   (assoc-ref inputs "gsl") "/lib/" all)))
+               (substitute* "init/init.lisp"
+                 (("libgsl.so" all)
+                  (string-append
+                   (assoc-ref inputs "gsl") "/lib/" all))))))))
+      (synopsis
+       "The GNU Scientific Library for Lisp (GSLL) allows the use of the
+GNU Scientific Library (GSL) from Common Lisp.")
+      (description
+       "The GNU Scientific Library for Lisp (GSLL) allows the use of the
+GNU Scientific Library (GSL) from Common Lisp. This library provides a
+full range of common mathematical operations useful to scientific and
+engineering applications. The design of the GSLL interface is such
+that access to most of the GSL library is possible in a Lisp-natural
+way; the intent is that the user not be hampered by the restrictions
+of the C language in which GSL has been written. GSLL thus provides
+interactive use of GSL for getting quick answers, even for someone not
+intending to program in Lisp.")
+      (home-page "https://common-lisp.net/project/gsll/")
+      (license license:gpl3))))
+
+(define-public cl-gsll
+  (sbcl-package->cl-source-package sbcl-gsll))
+
+(define-public ecl-gsll
+  (sbcl-package->ecl-package sbcl-gsll))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0011-gnu-Add-cl-interpol.patch

From 33f1fc6558e0a5ea4be224117908a6090318f6f7 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 16:03:47 -0500
Subject: [PATCH 11/15] gnu: Add cl-interpol.

* gnu/packages/lisp.scm (cl-interpol): New variable.
---
 gnu/packages/lisp.scm | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 90ea0797b6..5c3ebb6b57 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5903,3 +5903,42 @@ intending to program in Lisp.")
 
 (define-public ecl-gsll
   (sbcl-package->ecl-package sbcl-gsll))
+
+(define-public sbcl-cl-interpol
+  (let ((commit "1fd288d861db85bc4677cff3cdd6af75fda1afb4")
+        (revision "1"))
+    (package
+      (name "sbcl-cl-interpol")
+      (version (git-version "0.2.6" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/edicl/cl-interpol.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1hnikak52hmcq1r5f616m6qq1108qnkw80pja950nv1fq5p0ppjn"))))
+      (build-system asdf-build-system/sbcl)
+      (inputs
+       `(("sbcl-cl-unicode" ,sbcl-cl-unicode)
+         ("sbcl-named-readtables" ,sbcl-named-readtables)))
+      (native-inputs
+       `(("sbcl-flexi-streams" ,sbcl-flexi-streams)))
+      (synopsis
+       "Common Lisp surface syntax niceties.")
+      (description
+       "CL-INTERPOL is a library for Common Lisp which modifies the
+reader so that you can have interpolation within strings similar to
+Perl or Unix Shell scripts. It also provides various ways to insert
+arbitrary characters into literal strings even if your editor/IDE
+doesn't support them.")
+      (home-page "https://edicl.github.io/cl-interpol/")
+      (license license:bsd-3))))
+
+(define-public cl-cl-interpol
+  (sbcl-package->cl-source-package sbcl-cl-interpol))
+
+(define-public ecl-cl-interpol
+  (sbcl-package->ecl-package sbcl-cl-interpol))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0012-gnu-Add-symbol-munger-lisp-unit2.patch

From 095a1be659e29a382976b76ed1862982bed43b76 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 16:09:25 -0500
Subject: [PATCH 12/15] gnu: Add symbol-munger, lisp-unit2.

Please note that there is a cyclical dependency between these two
packages. This is the reason I have placed them both in a single commit.

* gnu/packages/lisp.scm (symbol-munger): New variable.
* gnu/packages/lisp.scm (lisp-unit2): New variable.
---
 gnu/packages/lisp.scm | 140 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 140 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 5c3ebb6b57..d21ed5e8cc 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -5942,3 +5942,143 @@ doesn't support them.")
 
 (define-public ecl-cl-interpol
   (sbcl-package->ecl-package sbcl-cl-interpol))
+
+;; See https://github.com/AccelerationNet/symbol-munger/issues/4
+(define-public sbcl-symbol-munger-boot0
+  (let ((commit "cc2bb4b7acd454d756484aec81ba487648385fc3")
+        (revision "1"))
+    (package
+      (name "sbcl-symbol-munger-boot0")
+      (version (git-version "0.0.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url
+            "https://github.com/AccelerationNet/symbol-munger.git")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0diav5ricqsybqvbp4bkxyj3bn3v9n7xb2pqqc4vg1algsw2pyjl"))))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       `(#:asd-file "symbol-munger.asd"
+         #:asd-system-name "symbol-munger"))
+      (inputs
+       `(("sbcl-iterate" ,sbcl-iterate)
+         ("sbcl-alexandria" ,sbcl-alexandria)))
+      (native-inputs
+       `(("sbcl-lisp-unit" ,sbcl-lisp-unit)))
+      (synopsis
+       "A common lisp library to help convert english and lisp-symbols
+into each other and various formats.")
+      (description
+       "A common lisp library to help convert english and lisp-symbols
+into each other and various formats.")
+      (home-page "https://github.com/AccelerationNet/symbol-munger")
+      ;; The package declares a BSD license, but all of the license
+      ;; text is MIT. See:
+      ;; https://github.com/AccelerationNet/symbol-munger/issues/5
+      (license license:expat))))
+
+(define-public sbcl-symbol-munger
+  (let ((commit "97598d4c3c53fd5da72ab78908fbd5d8c7a13416")
+        (revision "1"))
+    (package
+      (name "sbcl-symbol-munger")
+      (version (git-version "0.0.1" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri
+          (git-reference
+           (url
+            "https://github.com/AccelerationNet/symbol-munger.git")
+           (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0y8jywjy0ldyhp7bxf16fdvdd2qgqnd7nlhlqfpfnzxcqk4xy1km"))))
+      (build-system asdf-build-system/sbcl)
+      (inputs
+       `(("sbcl-iterate" ,sbcl-iterate)
+         ("sbcl-alexandria" ,sbcl-alexandria)))
+      (native-inputs
+       `(("sbcl-lisp-unit2-boot0" ,sbcl-lisp-unit2-boot0)))
+      (synopsis
+       "A common lisp library to help convert english and lisp-symbols
+into each other and various formats.")
+      (description
+       "A common lisp library to help convert english and lisp-symbols
+into each other and various formats.")
+      (home-page "https://github.com/AccelerationNet/symbol-munger")
+      ;; The package declares a BSD license, but all of the license
+      ;; text is MIT. See:
+      ;; https://github.com/AccelerationNet/symbol-munger/issues/5
+      (license license:expat))))
+
+(define-public cl-symbol-munger
+  (sbcl-package->cl-source-package sbcl-symbol-munger))
+
+(define-public ecl-symbol-munger
+  (sbcl-package->ecl-package sbcl-symbol-munger))
+
+;; See https://github.com/AccelerationNet/symbol-munger/issues/4
+(define-public sbcl-lisp-unit2-boot0
+  (let ((commit "fb9721524d1e4e73abb223ee036d74ce14a5505c")
+        (revision "1"))
+    (package
+      (name "sbcl-lisp-unit2-boot0")
+      (version (git-version "0.2.0" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/AccelerationNet/lisp-unit2.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "1rsqy8y0jqll6xn9a593848f5wvd5ribv4csry1ly0hmdhfnqzlp"))))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       `(#:asd-file "lisp-unit2.asd"
+         #:asd-system-name "lisp-unit2"))
+      (inputs
+       `(("sbcl-alexandria" ,sbcl-alexandria)
+         ("sbcl-cl-interpol" ,sbcl-cl-interpol)
+         ("sbcl-iterate" ,sbcl-iterate)
+         ("sbcl-symbol-munger-boot0" ,sbcl-symbol-munger-boot0)))
+      (synopsis
+       "A Test Framework for Common Lisp in the style of JUnit,
+designed and implemented with simplicity of use in mind.")
+      (description
+       "lisp-unit2 is a Common Lisp library that supports unit
+testing. It is a new version of a library of the lisp-unit library
+written by Chris Riesbeck. There is a long history of testing packages
+in Lisp, usually called \"regression\" testers. More recent packages
+in Lisp and other languages have been inspired by JUnit for Java.
+Recently longtime users at Acceleration.net felt motivated to refactor
+significantly, attempting to make some broad improvements to the
+library while maintaining its benefits and workflow")
+      (home-page "https://github.com/AccelerationNet/lisp-unit2")
+      ;; MIT License
+      (license license:expat))))
+
+(define-public sbcl-lisp-unit2
+  (package
+    (inherit sbcl-lisp-unit2-boot0)
+    (name "sbcl-lisp-unit2")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-interpol" ,sbcl-cl-interpol)
+       ("sbcl-iterate" ,sbcl-iterate)
+       ("sbcl-symbol-munger" ,sbcl-symbol-munger)))))
+
+(define-public cl-lisp-unit2
+  (sbcl-package->cl-source-package sbcl-lisp-unit2))
+
+(define-public ecl-lisp-unit2
+  (sbcl-package->ecl-package sbcl-lisp-unit2))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0013-gnu-Add-cl-csv.patch

From efc28d78b85b73555267aa47f9e48ee61d2ba92f Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 16:20:13 -0500
Subject: [PATCH 13/15] gnu: Add cl-csv.

* gnu/packages/lisp.scm (cl-csv): New variable.
---
 gnu/packages/lisp.scm | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index d21ed5e8cc..2c459390c7 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -6082,3 +6082,44 @@ library while maintaining its benefits and workflow")
 
 (define-public ecl-lisp-unit2
   (sbcl-package->ecl-package sbcl-lisp-unit2))
+
+(define-public sbcl-cl-csv
+  (let ((commit "3eba29c8364b033fbe0d189c2500559278b6a362")
+        (revision "1"))
+    (package
+      (name "sbcl-cl-csv")
+      (version (git-version "1.0.6" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/AccelerationNet/cl-csv.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "07h4ni89jzx93clx453hlnnb5g53hhlcmz5hghqv6ysam48lc8g6"))))
+      (build-system asdf-build-system/sbcl)
+      (arguments
+       ;; See: https://github.com/AccelerationNet/cl-csv/pull/34
+       `(#:tests? #f))
+      (inputs
+       `(("sbcl-iterate" ,sbcl-iterate)
+         ("sbcl-alexandria" ,sbcl-alexandria)
+         ("sbcl-cl-interpol" ,sbcl-cl-interpol)))
+      (native-inputs
+       `(("sbcl-lisp-unit2" ,sbcl-lisp-unit2)))
+      (synopsis
+       "A common lisp library providing easy csv reading and
+writing.")
+      (description
+       "A common lisp library providing easy csv reading and
+writing.")
+      (home-page "https://github.com/AccelerationNet/cl-csv")
+      (license license:bsd-3))))
+
+(define-public cl-cl-csv
+  (sbcl-package->cl-source-package sbcl-cl-csv))
+
+(define-public ecl-cl-csv
+  (sbcl-package->ecl-package sbcl-cl-csv))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0014-gnu-Add-external-program.patch

From ef88ae708663d60ce28d3d7d3272ebfaa7669968 Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 16:21:37 -0500
Subject: [PATCH 14/15] gnu: Add external-program.

* gnu/packages/lisp.scm (external-program): New variable.
---
 gnu/packages/lisp.scm | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 2c459390c7..fa67417f90 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -6123,3 +6123,41 @@ writing.")
 
 (define-public ecl-cl-csv
   (sbcl-package->ecl-package sbcl-cl-csv))
+
+(define-public sbcl-external-program
+  (let ((commit "5888b8f1fd3953feeeacecbba4384ddda584a749")
+        (revision "1"))
+    (package
+      (name "sbcl-external-program")
+      (version (git-version "0.0.6" revision commit))
+      (source
+       (origin
+         (method git-fetch)
+         (uri (git-reference
+               (url "https://github.com/sellout/external-program.git")
+               (commit commit)))
+         (file-name (git-file-name name version))
+         (sha256
+          (base32
+           "0vww1x3yilb3bjwg6k184vaj4vxyxw4vralhnlm6lk4xac67kc9z"))))
+      (build-system asdf-build-system/sbcl)
+      (inputs
+       `(("sbcl-trivial-features" ,sbcl-trivial-features)))
+      (native-inputs
+       `(("sbcl-fiveam" ,sbcl-fiveam)))
+      (synopsis
+       "A portable Common Lisp library for running external programs
+from within Lisp.")
+      (description
+       "EXTERNAL-PROGRAM enables running programs outside the Lisp
+process. It is an attempt to make the RUN-PROGRAM functionality in
+implementations like SBCL and CCL as portable as possible without
+sacrificing much in the way of power.")
+      (home-page "https://github.com/sellout/external-program")
+      (license license:llgpl))))
+
+(define-public cl-external-program
+  (sbcl-package->cl-source-package sbcl-external-program))
+
+(define-public ecl-external-program
+  (sbcl-package->ecl-package sbcl-external-program))
-- 
2.17.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0015-gnu-Add-cl-ana.patch

From e563a4232336ff8e777e946cd093122c356e51da Mon Sep 17 00:00:00 2001
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
Date: Fri, 7 Jun 2019 17:24:08 -0500
Subject: [PATCH 15/15] gnu: Add cl-ana.

* gnu/packages/lisp.scm (cl-ana): New variable.
---
 gnu/packages/lisp.scm | 1146 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 1146 insertions(+)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index fa67417f90..d8423907e3 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -6161,3 +6161,1149 @@ sacrificing much in the way of power.")
 
 (define-public ecl-external-program
   (sbcl-package->ecl-package sbcl-external-program))
+
+(define-public sbcl-cl-ana-boot0
+  (let ((commit "fa7cee4c50aa1c859652813049ba0da7c18a0df9")
+        (revision "1"))
+    (package
+     (name "sbcl-cl-ana-boot0")
+     (version (git-version "0.0.0" revision commit))
+     (source
+      (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/ghollisjr/cl-ana.git")
+             (commit commit)))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "0mr47l57m276dbpap7irr4fcnk5fgknhf6mgv4043s8h73amk5qh"))))
+     (build-system asdf-build-system/sbcl)
+     (synopsis
+      "Free (GPL) Common Lisp data analysis library with emphasis on
+modularity and conceptual clarity.")
+     (description
+      "cl-ana is a free (GPL) data analysis library in Common Lisp
+providing tabular & binned data analysis along with nonlinear least
+squares fitting & visualization.")
+     (home-page "https://github.com/ghollisjr/cl-ana")
+     (license license:gpl3))))
+
+(define-public sbcl-cl-ana.pathname-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.pathname-utils")
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "pathname-utils/cl-ana.pathname-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.pathname-utils")))))
+
+(define-public cl-cl-ana.pathname-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.pathname-utils))
+
+(define-public ecl-cl-ana.pathname-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.pathname-utils))
+
+(define-public sbcl-cl-ana.package-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.package-utils")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "package-utils/cl-ana.package-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.package-utils")))))
+
+(define-public cl-cl-ana.package-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.package-utils))
+
+(define-public ecl-cl-ana.package-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.package-utils))
+
+(define-public sbcl-cl-ana.string-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.string-utils")
+    (inputs
+     `(("sbcl-split-sequence" ,sbcl-split-sequence)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "string-utils/cl-ana.string-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.string-utils")))))
+
+(define-public cl-cl-ana.string-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.string-utils))
+
+(define-public ecl-cl-ana.string-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.string-utils))
+
+(define-public sbcl-cl-ana.functional-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.functional-utils")
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "functional-utils/cl-ana.functional-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.functional-utils")))))
+
+(define-public cl-cl-ana.functional-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.functional-utils))
+
+(define-public ecl-cl-ana.functional-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.functional-utils))
+
+(define-public sbcl-cl-ana.list-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.list-utils")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "list-utils/cl-ana.list-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.list-utils")))))
+
+(define-public cl-cl-ana.list-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.list-utils))
+
+(define-public ecl-cl-ana.list-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.list-utils))
+
+(define-public sbcl-cl-ana.generic-math
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.generic-math")
+    (inputs
+     `(("sbcl-cl-ana.package-utils" ,sbcl-cl-ana.package-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "generic-math/cl-ana.generic-math.asd")
+       ((#:asd-system-name _ #f) "cl-ana.generic-math")))))
+
+(define-public cl-cl-ana.generic-math
+  (sbcl-package->cl-source-package sbcl-cl-ana.generic-math))
+
+(define-public ecl-cl-ana.generic-math
+  (sbcl-package->ecl-package sbcl-cl-ana.generic-math))
+
+(define-public sbcl-cl-ana.math-functions
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.math-functions")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-gsll" ,sbcl-gsll)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "math-functions/cl-ana.math-functions.asd")
+       ((#:asd-system-name _ #f) "cl-ana.math-functions")))))
+
+(define-public cl-cl-ana.math-functions
+  (sbcl-package->cl-source-package sbcl-cl-ana.math-functions))
+
+(define-public ecl-cl-ana.math-functions
+  (sbcl-package->ecl-package sbcl-cl-ana.math-functions))
+
+(define-public sbcl-cl-ana.calculus
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.calculus")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "calculus/cl-ana.calculus.asd")
+       ((#:asd-system-name _ #f) "cl-ana.calculus")))))
+
+(define-public cl-cl-ana.calculus
+  (sbcl-package->cl-source-package sbcl-cl-ana.calculus))
+
+(define-public ecl-cl-ana.calculus
+  (sbcl-package->ecl-package sbcl-cl-ana.calculus))
+
+(define-public sbcl-cl-ana.symbol-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.symbol-utils")
+    (inputs
+     `(("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "symbol-utils/cl-ana.symbol-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.symbol-utils")))))
+
+(define-public cl-cl-ana.symbol-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.symbol-utils))
+
+(define-public ecl-cl-ana.symbol-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.symbol-utils))
+
+(define-public sbcl-cl-ana.macro-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.macro-utils")
+    (inputs
+     `(("sbcl-split-sequence" ,sbcl-split-sequence)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "macro-utils/cl-ana.macro-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.macro-utils")))))
+
+(define-public cl-cl-ana.macro-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.macro-utils))
+
+(define-public ecl-cl-ana.macro-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.macro-utils))
+
+(define-public sbcl-cl-ana.binary-tree
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.binary-tree")
+    (inputs
+     `(("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "binary-tree/cl-ana.binary-tree.asd")
+       ((#:asd-system-name _ #f) "cl-ana.binary-tree")))))
+
+(define-public cl-cl-ana.binary-tree
+  (sbcl-package->cl-source-package sbcl-cl-ana.binary-tree))
+
+(define-public ecl-cl-ana.binary-tree
+  (sbcl-package->ecl-package sbcl-cl-ana.binary-tree))
+
+(define-public sbcl-cl-ana.tensor
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.tensor")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "tensor/cl-ana.tensor.asd")
+       ((#:asd-system-name _ #f) "cl-ana.tensor")))))
+
+(define-public cl-cl-ana.tensor
+  (sbcl-package->cl-source-package sbcl-cl-ana.tensor))
+
+(define-public ecl-cl-ana.tensor
+  (sbcl-package->ecl-package sbcl-cl-ana.tensor))
+
+(define-public sbcl-cl-ana.error-propogation
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.error-propogation")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "error-propogation/cl-ana.error-propogation.asd")
+       ((#:asd-system-name _ #f) "cl-ana.error-propogation")))))
+
+(define-public cl-cl-ana.error-propogation
+  (sbcl-package->cl-source-package sbcl-cl-ana.error-propogation))
+
+(define-public ecl-cl-ana.error-propogation
+  (sbcl-package->ecl-package sbcl-cl-ana.error-propogation))
+
+(define-public sbcl-cl-ana.quantity
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.quantity")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "quantity/cl-ana.quantity.asd")
+       ((#:asd-system-name _ #f) "cl-ana.quantity")))))
+
+(define-public cl-cl-ana.quantity
+  (sbcl-package->cl-source-package sbcl-cl-ana.quantity))
+
+(define-public ecl-cl-ana.quantity
+  (sbcl-package->ecl-package sbcl-cl-ana.quantity))
+
+(define-public sbcl-cl-ana.table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.table")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "table/cl-ana.table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.table")))))
+
+(define-public cl-cl-ana.table
+  (sbcl-package->cl-source-package sbcl-cl-ana.table))
+
+(define-public ecl-cl-ana.table
+  (sbcl-package->ecl-package sbcl-cl-ana.table))
+
+(define-public sbcl-cl-ana.table-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.table-utils")
+    (inputs
+     `(("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "table-utils/cl-ana.table-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.table-utils")))))
+
+(define-public cl-cl-ana.table-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.table-utils))
+
+(define-public ecl-cl-ana.table-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.table-utils))
+
+(define-public sbcl-cl-ana.hdf-cffi
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.hdf-cffi")
+    (inputs
+     `(("sbcl-cffi" ,sbcl-cffi)
+       ("hdf5" ,hdf5-parallel-openmpi)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "hdf-cffi/cl-ana.hdf-cffi.asd")
+       ((#:asd-system-name _ #f) "cl-ana.hdf-cffi")
+       ((#:phases phases '%standard-phases)
+        `(modify-phases ,phases
+           (add-after 'unpack 'fix-paths
+             (lambda* (#:key inputs #:allow-other-keys)
+               (substitute* "hdf-cffi/hdf-cffi.lisp"
+                 (("/usr/lib/i386-linux-gnu/hdf5/serial/libhdf5.so")
+                  (string-append
+                   (assoc-ref inputs "hdf5")
+                   "/lib/libhdf5.so")))))))))))
+
+(define-public cl-cl-ana.hdf-cffi
+  (sbcl-package->cl-source-package sbcl-cl-ana.hdf-cffi))
+
+(define-public ecl-cl-ana.hdf-cffi
+  (sbcl-package->ecl-package sbcl-cl-ana.hdf-cffi))
+
+(define-public sbcl-cl-ana.int-char
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.int-char")
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "int-char/cl-ana.int-char.asd")
+       ((#:asd-system-name _ #f) "cl-ana.int-char")))))
+
+(define-public cl-cl-ana.int-char
+  (sbcl-package->cl-source-package sbcl-cl-ana.int-char))
+
+(define-public ecl-cl-ana.int-char
+  (sbcl-package->ecl-package sbcl-cl-ana.int-char))
+
+(define-public sbcl-cl-ana.memoization
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.memoization")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "memoization/cl-ana.memoization.asd")
+       ((#:asd-system-name _ #f) "cl-ana.memoization")))))
+
+(define-public cl-cl-ana.memoization
+  (sbcl-package->cl-source-package sbcl-cl-ana.memoization))
+
+(define-public ecl-cl-ana.memoization
+  (sbcl-package->ecl-package sbcl-cl-ana.memoization))
+
+(define-public sbcl-cl-ana.typespec
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.typespec")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cffi" ,sbcl-cffi)
+       ("sbcl-cl-ana.int-char" ,sbcl-cl-ana.int-char)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "typespec/cl-ana.typespec.asd")
+       ((#:asd-system-name _ #f) "cl-ana.typespec")))))
+
+(define-public cl-cl-ana.typespec
+  (sbcl-package->cl-source-package sbcl-cl-ana.typespec))
+
+(define-public ecl-cl-ana.typespec
+  (sbcl-package->ecl-package sbcl-cl-ana.typespec))
+
+(define-public sbcl-cl-ana.hdf-typespec
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.hdf-typespec")
+    (inputs
+     `(("sbcl-cffi" ,sbcl-cffi)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)
+       ("sbcl-cl-ana.hdf-cffi" ,sbcl-cl-ana.hdf-cffi)
+       ("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "hdf-typespec/cl-ana.hdf-typespec.asd")
+       ((#:asd-system-name _ #f) "cl-ana.hdf-typespec")))))
+
+(define-public cl-cl-ana.hdf-typespec
+  (sbcl-package->cl-source-package sbcl-cl-ana.hdf-typespec))
+
+(define-public ecl-cl-ana.hdf-typespec
+  (sbcl-package->ecl-package sbcl-cl-ana.hdf-typespec))
+
+(define-public sbcl-cl-ana.hdf-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.hdf-utils")
+    (inputs
+     `(("sbcl-cffi" ,sbcl-cffi)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.pathname-utils" ,sbcl-cl-ana.pathname-utils)
+       ("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)
+       ("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)
+       ("sbcl-cl-ana.hdf-typespec" ,sbcl-cl-ana.hdf-typespec)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.hdf-cffi" ,sbcl-cl-ana.hdf-cffi)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "hdf-utils/cl-ana.hdf-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.hdf-utils")))))
+
+(define-public cl-cl-ana.hdf-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.hdf-utils))
+
+(define-public ecl-cl-ana.hdf-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.hdf-utils))
+
+(define-public sbcl-cl-ana.typed-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.typed-table")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "typed-table/cl-ana.typed-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.typed-table")))))
+
+(define-public cl-cl-ana.typed-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.typed-table))
+
+(define-public ecl-cl-ana.typed-table
+  (sbcl-package->ecl-package sbcl-cl-ana.typed-table))
+
+(define-public sbcl-cl-ana.hdf-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.hdf-table")
+    (inputs
+     `(("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.hdf-cffi" ,sbcl-cl-ana.hdf-cffi)
+       ("sbcl-cl-ana.hdf-utils" ,sbcl-cl-ana.hdf-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.typed-table" ,sbcl-cl-ana.typed-table)
+       ("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)
+       ("sbcl-cl-ana.hdf-typespec" ,sbcl-cl-ana.hdf-typespec)
+       ("sbcl-cl-ana.binary-tree" ,sbcl-cl-ana.binary-tree)
+       ("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)
+       ("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "hdf-table/cl-ana.hdf-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.hdf-table")))))
+
+(define-public cl-cl-ana.hdf-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.hdf-table))
+
+(define-public ecl-cl-ana.hdf-table
+  (sbcl-package->ecl-package sbcl-cl-ana.hdf-table))
+
+(define-public sbcl-cl-ana.gsl-cffi
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.gsl-cffi")
+    (inputs
+     `(("sbcl-cffi" ,sbcl-cffi)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "gsl-cffi/cl-ana.gsl-cffi.asd")
+       ((#:asd-system-name _ #f) "cl-ana.gsl-cffi")))))
+
+(define-public cl-cl-ana.gsl-cffi
+  (sbcl-package->cl-source-package sbcl-cl-ana.gsl-cffi))
+
+(define-public ecl-cl-ana.gsl-cffi
+  (sbcl-package->ecl-package sbcl-cl-ana.gsl-cffi))
+
+(define-public sbcl-cl-ana.ntuple-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.ntuple-table")
+    (inputs
+     `(("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cffi" ,sbcl-cffi)
+       ("sbcl-gsll" ,sbcl-gsll)
+       ("sbcl-cl-ana.gsl-cffi" ,sbcl-cl-ana.gsl-cffi)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.typed-table" ,sbcl-cl-ana.typed-table)
+       ("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)
+       ("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "ntuple-table/cl-ana.ntuple-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.ntuple-table")))))
+
+(define-public cl-cl-ana.ntuple-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.ntuple-table))
+
+(define-public ecl-cl-ana.ntuple-table
+  (sbcl-package->ecl-package sbcl-cl-ana.ntuple-table))
+
+(define-public sbcl-cl-ana.csv-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.csv-table")
+    (inputs
+     `(("sbcl-antik" ,sbcl-antik)
+       ("sbcl-iterate" ,sbcl-iterate)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-csv" ,sbcl-cl-csv)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "csv-table/cl-ana.csv-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.csv-table")))))
+
+(define-public cl-cl-ana.csv-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.csv-table))
+
+(define-public ecl-cl-ana.csv-table
+  (sbcl-package->ecl-package sbcl-cl-ana.csv-table))
+
+(define-public sbcl-cl-ana.reusable-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.reusable-table")
+    (inputs
+     `(("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "reusable-table/cl-ana.reusable-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.reusable-table")))))
+
+(define-public cl-cl-ana.reusable-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.reusable-table))
+
+(define-public ecl-cl-ana.reusable-table
+  (sbcl-package->ecl-package sbcl-cl-ana.reusable-table))
+
+(define-public sbcl-cl-ana.linear-algebra
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.linear-algebra")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)
+       ("sbcl-gsll" ,sbcl-gsll)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "linear-algebra/cl-ana.linear-algebra.asd")
+       ((#:asd-system-name _ #f) "cl-ana.linear-algebra")))))
+
+(define-public cl-cl-ana.linear-algebra
+  (sbcl-package->cl-source-package sbcl-cl-ana.linear-algebra))
+
+(define-public ecl-cl-ana.linear-algebra
+  (sbcl-package->ecl-package sbcl-cl-ana.linear-algebra))
+
+(define-public sbcl-cl-ana.lorentz
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.lorentz")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.linear-algebra" ,sbcl-cl-ana.linear-algebra)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-iterate" ,sbcl-iterate)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "lorentz/cl-ana.lorentz.asd")
+       ((#:asd-system-name _ #f) "cl-ana.lorentz")))))
+
+(define-public cl-cl-ana.lorentz
+  (sbcl-package->cl-source-package sbcl-cl-ana.lorentz))
+
+(define-public ecl-cl-ana.lorentz
+  (sbcl-package->ecl-package sbcl-cl-ana.lorentz))
+
+(define-public sbcl-cl-ana.clos-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.clos-utils")
+    (inputs
+     `(("sbcl-closer-mop" ,sbcl-closer-mop)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "clos-utils/cl-ana.clos-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.clos-utils")))))
+
+(define-public cl-cl-ana.clos-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.clos-utils))
+
+(define-public ecl-cl-ana.clos-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.clos-utils))
+
+(define-public sbcl-cl-ana.hash-table-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.hash-table-utils")
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "hash-table-utils/cl-ana.hash-table-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.hash-table-utils")))))
+
+(define-public cl-cl-ana.hash-table-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.hash-table-utils))
+
+(define-public ecl-cl-ana.hash-table-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.hash-table-utils))
+
+(define-public sbcl-cl-ana.map
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.map")
+    (inputs
+     `(("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "map/cl-ana.map.asd")
+       ((#:asd-system-name _ #f) "cl-ana.map")))))
+
+(define-public cl-cl-ana.map
+  (sbcl-package->cl-source-package sbcl-cl-ana.map))
+
+(define-public ecl-cl-ana.map
+  (sbcl-package->ecl-package sbcl-cl-ana.map))
+
+(define-public sbcl-cl-ana.fitting
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.fitting")
+    (inputs
+     `(("sbcl-gsll" ,sbcl-gsll)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "fitting/cl-ana.fitting.asd")
+       ((#:asd-system-name _ #f) "cl-ana.fitting")))))
+
+(define-public cl-cl-ana.fitting
+  (sbcl-package->cl-source-package sbcl-cl-ana.fitting))
+
+(define-public ecl-cl-ana.fitting
+  (sbcl-package->ecl-package sbcl-cl-ana.fitting))
+
+(define-public sbcl-cl-ana.histogram
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.histogram")
+    (inputs
+     `(("sbcl-iterate" ,sbcl-iterate)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.clos-utils" ,sbcl-cl-ana.clos-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.binary-tree" ,sbcl-cl-ana.binary-tree)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-cl-ana.fitting" ,sbcl-cl-ana.fitting)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "histogram/cl-ana.histogram.asd")
+       ((#:asd-system-name _ #f) "cl-ana.histogram")))))
+
+(define-public cl-cl-ana.histogram
+  (sbcl-package->cl-source-package sbcl-cl-ana.histogram))
+
+(define-public ecl-cl-ana.histogram
+  (sbcl-package->ecl-package sbcl-cl-ana.histogram))
+
+(define-public sbcl-cl-ana.file-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.file-utils")
+    (inputs
+     `(("sbcl-external-program" ,sbcl-external-program)
+       ("sbcl-split-sequence" ,sbcl-split-sequence)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "file-utils/cl-ana.file-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.file-utils")))))
+
+(define-public cl-cl-ana.file-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.file-utils))
+
+(define-public ecl-cl-ana.file-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.file-utils))
+
+(define-public sbcl-cl-ana.statistics
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.statistics")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "statistics/cl-ana.statistics.asd")
+       ((#:asd-system-name _ #f) "cl-ana.statistics")))))
+
+(define-public cl-cl-ana.statistics
+  (sbcl-package->cl-source-package sbcl-cl-ana.statistics))
+
+(define-public ecl-cl-ana.statistics
+  (sbcl-package->ecl-package sbcl-cl-ana.statistics))
+
+(define-public sbcl-cl-ana.gnuplot-interface
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.gnuplot-interface")
+    (inputs
+     `(("sbcl-external-program" ,sbcl-external-program)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "gnuplot-interface/cl-ana.gnuplot-interface.asd")
+       ((#:asd-system-name _ #f) "cl-ana.gnuplot-interface")))))
+
+(define-public cl-cl-ana.gnuplot-interface
+  (sbcl-package->cl-source-package sbcl-cl-ana.gnuplot-interface))
+
+(define-public ecl-cl-ana.gnuplot-interface
+  (sbcl-package->ecl-package sbcl-cl-ana.gnuplot-interface))
+
+(define-public sbcl-cl-ana.plotting
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.plotting")
+    (inputs
+     `(("sbcl-cl-ana.pathname-utils" ,sbcl-cl-ana.pathname-utils)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)
+       ("sbcl-cl-ana.gnuplot-interface" ,sbcl-cl-ana.gnuplot-interface)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-external-program" ,sbcl-external-program)
+       ("sbcl-split-sequence" ,sbcl-split-sequence)
+       ("sbcl-alexandria" ,sbcl-alexandria)
+       ;; For sb-posix
+       ("sbcl" ,sbcl)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "plotting/cl-ana.plotting.asd")
+       ((#:asd-system-name _ #f) "cl-ana.plotting")))))
+
+(define-public cl-cl-ana.plotting
+  (sbcl-package->cl-source-package sbcl-cl-ana.plotting))
+
+(define-public ecl-cl-ana.plotting
+  (sbcl-package->ecl-package sbcl-cl-ana.plotting))
+
+(define-public sbcl-cl-ana.table-viewing
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.table-viewing")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.plotting" ,sbcl-cl-ana.plotting)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "table-viewing/cl-ana.table-viewing.asd")
+       ((#:asd-system-name _ #f) "cl-ana.table-viewing")))))
+
+(define-public cl-cl-ana.table-viewing
+  (sbcl-package->cl-source-package sbcl-cl-ana.table-viewing))
+
+(define-public ecl-cl-ana.table-viewing
+  (sbcl-package->ecl-package sbcl-cl-ana.table-viewing))
+
+(define-public sbcl-cl-ana.serialization
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.serialization")
+    (inputs
+     `(("sbcl-cl-ana.typespec" ,sbcl-cl-ana.typespec)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.int-char" ,sbcl-cl-ana.int-char)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.hdf-utils" ,sbcl-cl-ana.hdf-utils)
+       ("sbcl-cl-ana.hdf-table" ,sbcl-cl-ana.hdf-table)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "serialization/cl-ana.serialization.asd")
+       ((#:asd-system-name _ #f) "cl-ana.serialization")))))
+
+(define-public cl-cl-ana.serialization
+  (sbcl-package->cl-source-package sbcl-cl-ana.serialization))
+
+(define-public ecl-cl-ana.serialization
+  (sbcl-package->ecl-package sbcl-cl-ana.serialization))
+
+(define-public sbcl-cl-ana.makeres
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)
+       ("sbcl-cl-ana.plotting" ,sbcl-cl-ana.plotting)
+       ("sbcl-external-program" ,sbcl-external-program)
+       ("sbcl-cl-ana.hdf-utils" ,sbcl-cl-ana.hdf-utils)
+       ("sbcl-cl-ana.serialization" ,sbcl-cl-ana.serialization)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.file-utils" ,sbcl-cl-ana.file-utils)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.pathname-utils" ,sbcl-cl-ana.pathname-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.reusable-table" ,sbcl-cl-ana.reusable-table)))
+    (native-inputs
+     `(("sbcl-cl-fad" ,sbcl-cl-fad)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres/cl-ana.makeres.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres")))))
+
+(define-public cl-cl-ana.makeres
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres))
+
+(define-public ecl-cl-ana.makeres
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres))
+
+(define-public sbcl-cl-ana.makeres-macro
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-macro")
+    (inputs
+     `(("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-macro/cl-ana.makeres-macro.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-macro")))))
+
+(define-public cl-cl-ana.makeres-macro
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres-macro))
+
+(define-public ecl-cl-ana.makeres-macro
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres-macro))
+
+(define-public sbcl-cl-ana.makeres-block
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-block")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-block/cl-ana.makeres-block.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-block")))))
+
+(define-public cl-cl-ana.makeres-block
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres-block))
+
+(define-public ecl-cl-ana.makeres-block
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres-block))
+
+(define-public sbcl-cl-ana.makeres-progress
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-progress")
+    (inputs
+     `(("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-alexandria" ,sbcl-alexandria)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-progress/cl-ana.makeres-progress.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-progress")))))
+
+(define-public cl-cl-ana.makeres-progress
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres-progress))
+
+(define-public ecl-cl-ana.makeres-progress
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres-progress))
+
+(define-public sbcl-cl-ana.makeres-table
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-table")
+    (inputs
+     `(("sbcl-cl-ana.memoization" ,sbcl-cl-ana.memoization)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-cl-ana.makeres-macro" ,sbcl-cl-ana.makeres-macro)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.reusable-table" ,sbcl-cl-ana.reusable-table)
+       ("sbcl-cl-ana.hdf-utils" ,sbcl-cl-ana.hdf-utils)
+       ("sbcl-cl-ana.csv-table" ,sbcl-cl-ana.csv-table)
+       ("sbcl-cl-ana.ntuple-table" ,sbcl-cl-ana.ntuple-table)
+       ("sbcl-cl-ana.hdf-table" ,sbcl-cl-ana.hdf-table)
+       ("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)))
+    (native-inputs
+     `(("sbcl-cl-fad" ,sbcl-cl-fad)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-table/cl-ana.makeres-table.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-table")))))
+
+(define-public cl-cl-ana.makeres-table
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres-table))
+
+(define-public ecl-cl-ana.makeres-table
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres-table))
+
+(define-public sbcl-cl-ana.makeres-graphviz
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-graphviz")
+    (inputs
+     `(("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-external-program" ,sbcl-external-program)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-graphviz/cl-ana.makeres-graphviz.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-graphviz")))))
+
+(define-public cl-cl-ana.makeres-graphviz
+  (sbcl-package->cl-source-package sbcl-cl-ana.makeres-graphviz))
+
+(define-public ecl-cl-ana.makeres-graphviz
+  (sbcl-package->ecl-package sbcl-cl-ana.makeres-graphviz))
+
+(define-public sbcl-cl-ana.makeres-branch
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-branch")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-branch/cl-ana.makeres-branch.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-branch")))))
+
+(define-public cl-cl-ana.makres-branch
+  (sbcl-package->cl-source-package sbcl-cl-ana.makres-branch))
+
+(define-public ecl-cl-ana.makres-branch
+  (sbcl-package->ecl-package sbcl-cl-ana.makres-branch))
+
+(define-public sbcl-cl-ana.makeres-utils
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.makeres-utils")
+    (inputs
+     `(("sbcl-alexandria" ,sbcl-alexandria)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-cl-ana.fitting" ,sbcl-cl-ana.fitting)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.symbol-utils" ,sbcl-cl-ana.symbol-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.plotting" ,sbcl-cl-ana.plotting)
+       ("sbcl-cl-ana.string-utils" ,sbcl-cl-ana.string-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.file-utils" ,sbcl-cl-ana.file-utils)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.pathname-utils" ,sbcl-cl-ana.pathname-utils)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.reusable-table" ,sbcl-cl-ana.reusable-table)))
+    (native-inputs
+     `(("sbcl-cl-fad" ,sbcl-cl-fad)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "makeres-utils/cl-ana.makeres-utils.asd")
+       ((#:asd-system-name _ #f) "cl-ana.makeres-utils")))))
+
+(define-public cl-cl-ana.makres-utils
+  (sbcl-package->cl-source-package sbcl-cl-ana.makres-utils))
+
+(define-public ecl-cl-ana.makres-utils
+  (sbcl-package->ecl-package sbcl-cl-ana.makres-utils))
+
+(define-public sbcl-cl-ana.statistical-learning
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana.statistical-learning")
+    (inputs
+     `(("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.macro-utils" ,sbcl-cl-ana.macro-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.list-utils" ,sbcl-cl-ana.list-utils)
+       ("sbcl-cl-ana.functional-utils" ,sbcl-cl-ana.functional-utils)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.statistics" ,sbcl-cl-ana.statistics)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)
+       ("sbcl-cl-ana.linear-algebra" ,sbcl-cl-ana.linear-algebra)))
+    (native-inputs
+     `(("sbcl-cl-fad" ,sbcl-cl-fad)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "")
+        "statistical-learning/cl-ana.statistical-learning.asd")
+       ((#:asd-system-name _ #f) "cl-ana.statistical-learning")))))
+
+(define-public cl-cl-ana.statistical-learning
+  (sbcl-package->cl-source-package sbcl-cl-ana.statistical-learning))
+
+(define-public ecl-cl-ana.statistical-learning
+  (sbcl-package->ecl-package sbcl-cl-ana.statistical-learning))
+
+(define-public sbcl-cl-ana
+  (package
+    (inherit sbcl-cl-ana-boot0)
+    (name "sbcl-cl-ana")
+    (inputs
+     `(("sbcl-cl-ana.pathname-utils" ,sbcl-cl-ana.pathname-utils)
+       ("sbcl-cl-ana.package-utils" ,sbcl-cl-ana.package-utils)
+       ("sbcl-cl-ana.generic-math" ,sbcl-cl-ana.generic-math)
+       ("sbcl-cl-ana.math-functions" ,sbcl-cl-ana.math-functions)
+       ("sbcl-cl-ana.calculus" ,sbcl-cl-ana.calculus)
+       ("sbcl-cl-ana.binary-tree" ,sbcl-cl-ana.binary-tree)
+       ("sbcl-cl-ana.tensor" ,sbcl-cl-ana.tensor)
+       ("sbcl-cl-ana.error-propogation" ,sbcl-cl-ana.error-propogation)
+       ("sbcl-cl-ana.quantity" ,sbcl-cl-ana.quantity)
+       ("sbcl-cl-ana.table" ,sbcl-cl-ana.table)
+       ("sbcl-cl-ana.table-utils" ,sbcl-cl-ana.table-utils)
+       ("sbcl-cl-ana.hdf-table" ,sbcl-cl-ana.hdf-table)
+       ("sbcl-cl-ana.ntuple-table" ,sbcl-cl-ana.ntuple-table)
+       ("sbcl-cl-ana.csv-table" ,sbcl-cl-ana.csv-table)
+       ("sbcl-cl-ana.reusable-table" ,sbcl-cl-ana.reusable-table)
+       ("sbcl-cl-ana.linear-algebra" ,sbcl-cl-ana.linear-algebra)
+       ("sbcl-cl-ana.lorentz" ,sbcl-cl-ana.lorentz)
+       ("sbcl-cl-ana.histogram" ,sbcl-cl-ana.histogram)
+       ("sbcl-cl-ana.fitting" ,sbcl-cl-ana.fitting)
+       ("sbcl-cl-ana.file-utils" ,sbcl-cl-ana.file-utils)
+       ("sbcl-cl-ana.statistics" ,sbcl-cl-ana.statistics)
+       ("sbcl-cl-ana.statistical-learning"
+        ,sbcl-cl-ana.statistical-learning)
+       ("sbcl-cl-ana.plotting" ,sbcl-cl-ana.plotting)
+       ("sbcl-cl-ana.table-viewing" ,sbcl-cl-ana.table-viewing)
+       ("sbcl-cl-ana.int-char" ,sbcl-cl-ana.int-char)
+       ("sbcl-cl-ana.clos-utils" ,sbcl-cl-ana.clos-utils)
+       ("sbcl-cl-ana.serialization" ,sbcl-cl-ana.serialization)
+       ("sbcl-cl-ana.hash-table-utils" ,sbcl-cl-ana.hash-table-utils)
+       ("sbcl-cl-ana.map" ,sbcl-cl-ana.map)
+       ("sbcl-cl-ana.makeres" ,sbcl-cl-ana.makeres)
+       ("sbcl-cl-ana.makeres-macro" ,sbcl-cl-ana.makeres-macro)
+       ("sbcl-cl-ana.makeres-block" ,sbcl-cl-ana.makeres-block)
+       ("sbcl-cl-ana.makeres-progress" ,sbcl-cl-ana.makeres-progress)
+       ("sbcl-cl-ana.makeres-table" ,sbcl-cl-ana.makeres-table)
+       ("sbcl-cl-ana.makeres-graphviz" ,sbcl-cl-ana.makeres-graphviz)
+       ("sbcl-cl-ana.makeres-branch" ,sbcl-cl-ana.makeres-branch)
+       ("sbcl-cl-ana.makeres-utils" ,sbcl-cl-ana.makeres-utils)
+       ("libffi" ,libffi)))
+    (native-inputs
+     `(("sbcl-cl-fad" ,sbcl-cl-fad)))
+    (arguments
+     (substitute-keyword-arguments (package-arguments sbcl-cl-ana-boot0)
+       ((#:asd-file _ "") "cl-ana.asd")
+       ((#:asd-system-name _ #f) "cl-ana")))))
+
+(define-public cl-cl-ana
+  (sbcl-package->cl-source-package sbcl-cl-ana))
+
+(define-public ecl-cl-ana
+  (sbcl-package->ecl-package sbcl-cl-ana))
-- 
2.17.1


--=-=-=
Content-Type: text/plain


-- 
Katherine

--=-=-=--




Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#36131; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 2 Jul 2019 16:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.